%define upstream_name    Hash-AutoHash-Args
%define upstream_version 1.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Object-oriented processing of argument lists (version 0)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Hash::AutoHash) >= 1.160.0
BuildRequires: perl(Module::Build) >= 0.400.700
BuildRequires: perl(Scalar::Util) >= 1.10.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Content)
BuildRequires: perl(Tie::Hash) >= 1.0.0
BuildArch:  noarch

%description
This class simplifies the handling of keyword argument lists. It replaces
the Class::AutoClass::Args manpage. See the DIFFERENCES FROM
Class::AutoClass::Args manpage for a discussion of what's new. See the
Hash::AutoHash::Args::V0 manpage for a subclass which is more compatible

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.180.0-7pclos2017
- rebuild against updates

